package wpc

import (
	"context"
	"github.com/gogf/gf/encoding/gjson"
	"github.com/gogf/gf/frame/g"
)

type deliverWpc struct {
}

var Deliver = deliverWpc{}

type DeliverListReq struct {
	ChannelId  string `json:"vopChannelId"`
	UserNumber string `json:"userNumber"`
}

type DeliverListRes struct {
	ReturnCode string `json:"returnCode"`
	Result     []struct {
		CustNo   string `json:"custNo"`
		CustName string `json:"custName"`
		CustCode string `json:"custCode"`
	} `json:"result"`
}

//List 列表
func (deliverWpc) List(ctx context.Context) (res *DeliverListRes, err error) {
	method := "getCarrierList"
	req := DeliverListReq{}
	req.ChannelId = server.AppKey
	req.UserNumber = server.UserNumber
	result, err := post(ctx, method, g.Map{
		"request": req,
	})
	_ = gjson.New(result).Scan(&res)
	return
}
